<?
header("Content-Type: application/xhtml+xml; charset=utf8");
use_helper('UrlFunctions');

$o_ObjectBean = new PagoBean();
//$o_ObjectBean = new PrestamoBean();
  
$tamanioPag = 220;
//COLOCAR CAMPOS DE LA CABECERA DEL LISTADO  

if($cboTipoReferencia   !="")	{ $o_ObjectBean->setTipoPago($cboTipoReferencia); }
if($txtNumeroPrestamo   !="")	{ $o_ObjectBean->setIdPrestamo($txtNumeroPrestamo); }
if($cboEstadoPrestamo  !="")	{ $o_ObjectBean->setEstado($cboEstadoPrestamo); }
if($cboMercado     	!="")		{ $o_ObjectBean->setIdMercado($cboMercado); }
if($txtNombre     		!="" && $cboTipoNombre == "AP"){ $o_ObjectBean->setApellidoPaterno($txtNombre); }
if($txtNombre     		!="" && $cboTipoNombre == "AM"){ $o_ObjectBean->setApellidoMaterno($txtNombre); }
if($txtNombre     		!="" && $cboTipoNombre == "NO"){ $o_ObjectBean->setNombres($txtNombre); }
//if($idPrestamo !=""){ $o_ObjectBean->setIdPrestamo($txtNumeroPrestamo); }
if($cboOrigen  !="")			{ $o_ObjectBean->setOrigen($cboOrigen); }
if($txtFechaInicial   !="")		{ $o_ObjectBean->setFechaPago($txtFechaInicial); }
if($txtFechaFinal   !="")		{ $o_ObjectBean->setFechaFinal($txtFechaFinal); }

if( myUser::getUser()->getRoleId() == "sys.ope"){
	$o_ObjectBean->setIdColaborador(myUser::getUser()->getIdColaborador());
}elseif(myUser::getUser()->getIdPadre() == '1'){//Ver todos los pagos de la sucursal
	$o_ColaboradorBean_Temp = new ColaboradorBean();
	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
	$o_ColaboradorBL_Temp = new ColaboradorBL();
	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
	$idAdministrador = $o_ColaboradorBeanResult[0]->getIdPadre();
	
	$o_ColaboradorBean = new ColaboradorBean();
	$o_ColaboradorBean->setIdPadre($idAdministrador); 
	$o_ColaboradorBL = new ColaboradorBL();
	$a_o_ColaboradorBeanResult = $o_ColaboradorBL->busquedaColaborador($o_ColaboradorBean);
	if(is_array($a_o_ColaboradorBeanResult)){
		foreach ($a_o_ColaboradorBeanResult as $key => $o_ColaboradorBeanResult)
		$colaboradores[] = $o_ColaboradorBeanResult->getIdColaborador();
	}else{
		$colaboradores[0] = null;
	}
	$o_ObjectBean->setIdColaboradores($colaboradores);
}elseif(myUser::getUser()->getIdPadre() == "A"){ //Todos los Padres Rol actualmente sys.gen y sys.view
	$idAdministrador = myUser::getUser()->getIdColaborador();
}
$o_ObjectBean->setFechaFinal($txtFechaFinal);

$o_ObjectBean->page = $page;
$o_ObjectBean->tamPag = $tamanioPag;
$o_ObjectBean->sortCampos = $sortCampos;
$o_ObjectBean->sortType   = $sortType;

$o_class = new PagoBL();
$o_ObjectBean->setIdColaboradorPrestamo(myUser::getUser()->getIdColaborador());
$a_ObjectBean = $o_class->busquedaPago($o_ObjectBean);
 


$o_navigation = new navigation();
$o_navigation->setPaginaActual($page);
$o_navigation->setTamanioPagina($tamanioPag);
$o_navigation->setTotalRegistros($o_class->getCountResult($o_ObjectBean));
$valuesSort = array('sortCampos'=>$sortCampos, 'sortType'=>$sortType);

if(!$page) $page = 1;



ViewResponse::getInstance()->setMethodAjax();

?>
<script>
functionSort = function(campo, type){
  var typeSort      = "";
  var elmSortCampos = $('sortCampos');
  var elmSortType   = $('sortType');
  var a_sortCampos  = elmSortCampos.value!=""?elmSortCampos.value.split(";"):[];
  var a_sortType    = elmSortType.value!=""?elmSortType.value.split(";"):[];
  var pos           = a_sortCampos.indexOf(campo);
  switch (type){
     case 'A' :
       a_sortType[pos]    = "2";
     break;
     case 'D' :
       a_sortCampos = sliceByPos(a_sortCampos, pos);
       a_sortType   = sliceByPos(a_sortType, pos);
     break;
     default :
       a_sortCampos[a_sortCampos.length] = campo;
       a_sortType[a_sortType.length]     = "1";
     break;
  }
  var strSortCampos = a_sortCampos.join(";");
  var strSortType   = a_sortType.join(";");
  concatValueStr('sortCampos='+strSortCampos+'&sortType='+strSortType+"&page=<?=$page?>");
}
</script>

<?php

$strConcat = "sortCampos=".$valuesSort['sortCampos']."&sortType=".$valuesSort['sortType'];

function showImgOrder($valuesSort, $campo, $nameCampos){
  $a_valCampos = explode(";", $valuesSort['sortCampos']);
  $a_valtype   = explode(";", $valuesSort['sortType']);
  $sImg = "
            <a href=\"JavaScript:functionSort('".$campo."', '');\">".$nameCampos."</a>
            <img src=\"/images/common/buttons/arrow.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
          ";
  foreach ($a_valCampos as $key => $val){
    if($val == $campo){
      switch ($a_valtype[$key]){
        case 1:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'A');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_up.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
        case 2:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'D');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_down.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
      }
    }
  };
  return $sImg;
}
?>

<input type="hidden" id="sortCampos" size="100" value="<?=$valuesSort['sortCampos']?>">
<input type="hidden" id="sortType" size="100" value="<?=$valuesSort['sortType']?>">
      <table class="marco" border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td height="17" align="right" class="pager">
            <div id="contenedor">
              <? $o_navigation->ContruirHTMLNavigation('contenedor', $strConcat); ?>
            </div>
          </td>
        </tr>
        <tr>
          <td>
            <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0" style="font-size:12px">
              <tr height="23">
               <!--<th width="4%" >Nro</th>-->
               <th width="4%" >Nº</th>
                 <!--<th width="18%" id="col01" onMouseOver="sort_col(this);" ><?=showImgOrder($valuesSort, 'Nombres','Nombres')?>&nbsp;</th>
				         <th width="11%" >Ap. Paterno &nbsp;&nbsp;&nbsp;</th>
				        <th width="11%" >Ap. Materno &nbsp;&nbsp;&nbsp;</th> -->
			    <th width="20%" align="left">Cliente&nbsp;&nbsp;&nbsp;</th>
			    <th width="4%" align="left">F.Inicio</th>
				<th width="4%" align="left">F.Vencim.</th>
				<th width="5%" >Capital &nbsp;&nbsp;&nbsp;</th>
                <th width="3%" align="right">Int.(%)</th>
                <th width="6%" >M. Total &nbsp;&nbsp;&nbsp;</th>
                <th width="4%" >Saldo &nbsp;&nbsp;&nbsp;</th>
                <th width="6%" >Cuota</th>
                <th width="5%" >Estado &nbsp;&nbsp;&nbsp;</th>
                <th width="5%" align="right">Pago(S/.)&nbsp;</th>
                <th width="5%" align="center">Tipo</th>
                <!--<th width="3%" id="col01" onMouseOver="sort_col(this);" >Usr.Act.</th>
                <th width="4%" id="col01" onMouseOver="sort_col(this);" >Fec.Act.</th>-->
              
               <!-- <th width="4%">Opciones</th>-->
              </tr>
              <? if(count($a_ObjectBean)>0){ ?>
              <? foreach ($a_ObjectBean as $iKey => $o_objBean){ ?>
              <tr onClick="TR_click(this);">
               <td align="center"><?=$o_objBean->getObjectPrestamo()->getIdPrestamo()?></td>
                <!--<td class="chk"><?=($tamanioPag)*($page-1)+($iKey+1)?></td>-->
               <td align="left">
			 <?=ucwords(strtolower($o_objBean->getObjectPrestamo()->getObjectCliente()->getNombreCompleto()))?></td>
                
               
                <td><?=$o_objBean->getObjectPrestamo()->getFechaInicio()?></td>
                <td><?=$o_objBean->getObjectPrestamo()->getFechaVencimiento()?></td>  
				<td align="center"><?=$o_objBean->getObjectPrestamo()->getMontoPrestado(); $total_prestamo +=$o_objBean->getObjectPrestamo()->getMontoPrestado();?></td>
				<td align="right"><?=$o_objBean->getObjectPrestamo()->getInteresPorcentaje()?></td>
				<td align="center"><?=$o_objBean->getObjectPrestamo()->getMontoTotal(); $total_monto +=$o_objBean->getObjectPrestamo()->getMontoTotal();?></td>
				<td align="center"><?=$o_objBean->getObjectPrestamo()->getSaldoPrestamo(); $total_saldo +=$o_objBean->getObjectPrestamo()->getSaldoPrestamo();?></td>
				<td align="center"><?=$o_objBean->getObjectPrestamo()->getCuotaPago(); $total_couta+=$o_objBean->getObjectPrestamo()->getCuotaPago();?></td>
				<td align="center"><?php if($o_objBean->getObjectPrestamo()->getEstado()=="P") echo "Pendiente";else echo "Cancelado";?></td>
				<td align="right" style="color:#004A95"><?php echo number_format($o_objBean->getMontoPago(),2); $total +=$o_objBean->getMontoPago(); ?>&nbsp;&nbsp;</td>                
				<td align="center" ><?php  if($o_objBean->getTipo()==1) echo "Cuota"; else echo "Mora"; ?>&nbsp;&nbsp;</td>                
                
              </tr>
              <? } ?>
               <tr>
	          		<td colspan="4">T Registros: <?=count($a_ObjectBean)?></td>
	          		<td style="font-family: Verdana, Arial, Helvetica, sans-serif; font-size:11px; font-weight:bold; color:#000000"><b><?=number_format($total_prestamo,1)?></b></td>
	          		<td></td>
	          		<td style="font-family: Verdana, Arial, Helvetica, sans-serif; font-size:11px; font-weight:bold; color:#000000" ><b><?=number_format($total_monto,1)?></b></td>
	          		<td style="font-family: Verdana, Arial, Helvetica, sans-serif; font-size:11px; font-weight:bold; color:#000000"><b><?=number_format($total_saldo,1)?></b></td>
	          		<td></td>
	          		<td style="font-family: Verdana, Arial, Helvetica, sans-serif; font-size:11px; font-weight:bold; color:#000000">&nbsp;</td>
	          		<td align= "right" style="font-family: Verdana, Arial, Helvetica, sans-serif; font-size:11px; font-weight:bold; color:#000000"><b><?=number_format($total,2)?>&nbsp;&nbsp;</b></td>
	          		
<!--	          		<td><?=count($a_ObjectBean)?></td>-->
	          	</tr>
              <? }else{ ?>
              <tr>
                <td colspan="7" align="center">No se produjo resultado</td>
              </tr>
              <? } ?>
            </table>
          </td>
        </tr>
        <tr>
          <td>
	          
          </td>
        </tr>
      </table>